# classes/phing/tasks/ext/Service/Amazon/S3.php

## \Service_Amazon_S3
jump to top

Abstract Service_Amazon_S3 class.

Provides common methods and properties to all of the S3 tasks

Extends from
  \Service_Amazon
abstract
author
  Andrei Serdeliuc
copyright
  2001,2002 THYRELL. All rights reserved
extends
  Service_Amazon
package
  phing.tasks.ext
version
  $ID$

### Properties

`\Services_Amazon_S3 $_client= 'null'`

Services_Amazon_S3 client

(default value: null)

Default value `null` Details

Type
  \Services_Amazon_S3
access
  protected
see
  \Services_Amazon_S3

### Methods

`createBucket( ) : void`
Create a bucket
Details

access
  public

`execute( ) : void`
abstractEntry point to children tasks
Details

abstract
access
  public

`getBucket( ) :`
`getBucketInstance( ) : \Services_Amazon_S3_Resource_Bucket`
Returns an instance of Services_Amazon_S3_Resource_Bucket
Returns

Type | Description
--- | ---
\Services_Amazon_S3_Resource_Bucket |

Details

access
  public

`getClient( ) : \Services_Amazon_S3`
We only instantiate the client once per task call
Returns

Type | Description
--- | ---
\Services_Amazon_S3 |

Details

access
  public

`getObjectContents( string $object ) : mixed`
Get the contents of an object (by it's name)
Parameters

Name | Type | Description
--- | --- | ---
$object | string |

Returns

Type | Description
--- | ---
mixed |

Details

access
  public

`getObjectInstance( mixed $object ) : \Services_Amazon_S3_Resource_Object`
Returns an instance of Services_Amazon_S3_Resource_Object
Parameters

Name | Type | Description
--- | --- | ---
$object | mixed |

Returns

Type | Description
--- | ---
\Services_Amazon_S3_Resource_Object |

Details

access
  public

`isBucketAvailable( ) : bool`
Check if the current bucket is available
Returns

Type | Description
--- | ---
bool |

Details

access
  public

`isObjectAvailable( mixed $object ) : bool`
Check if the object already exists in the current bucket
Parameters

Name | Type | Description
--- | --- | ---
$object | mixed |

Returns

Type | Description
--- | ---
bool |

Details

access
  public

`main( ) : void`
finalMain entry point, doesn't do anything
Details

access
  public
final

`setBucket( $bucket ) :`
Parameters

Name | Type | Description
--- | --- | ---
$bucket |  |

Documentation was generated by DocBlox 0.13.1.